Bug 2142263 - not enough memory to start easyeffects with 5 GB free memory
Summary: not enough memory to start easyeffects with 5 GB free memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easyeffects
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-12 10:19 UTC by customercare
Modified: 2023-05-31 17:31 UTC (History)
1 user (show)

Fixed In Version: easyeffects-7.0.4-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-31 17:31:13 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github wwmm easyeffects issues 1979 0 None open Mali400: not enough memory for GPU operations 2022-11-12 13:21:55 UTC

Description customercare 2022-11-12 10:19:34 UTC
Device: PINEPHONE

Description of problem:

[pine@fedorapine ~]$ easyeffects
DRM_IOCTL_MODE_CREATE_DUMB failed: Nicht genügend Hauptspeicher verfügbar
DRM_IOCTL_MODE_CREATE_DUMB failed: Nicht genügend Hauptspeicher verfügbar
Speicherzugriffsfehler (Speicherabzug geschrieben)
(not enough memory) 

with:

3 GB total physical memory 
1 GB total physical memory used
3 GB Swap 
0 GB Swap used

real Issue:

This messages comes from the GPU subsystem which complaints about not enough memory inside the graphics card, instead of complaining that there is no useable GPU(Mali 400) for it. 

Even with working GPU support given in form of LIBVA->v4l2_request , it fails:

export LIBVA_DRIVER_NAME=v4l2_request 
export LIBVA_V4L2_REQUEST_VIDEO_PATH=/dev/video0 
export LIBVA_V4L2_REQUEST_MEDIA_PATH=/dev/media0 

[pine@fedorapine ~]$ easyeffects
DRM_IOCTL_MODE_CREATE_DUMB failed: Nicht genügend Hauptspeicher verfügbar
DRM_IOCTL_MODE_CREATE_DUMB failed: Nicht genügend Hauptspeicher verfügbar
Speicherzugriffsfehler (Speicherabzug geschrieben)
[pine@fedorapine ~]$ 


Version-Release number of selected component (if applicable):

Name        : easyeffects
Version     : 6.3.0
Release     : 1.fc38
Architecture: aarch64
Install Date: Do 13 Okt 2022 15:56:12 CEST

Comment 1 Vasiliy Glazov 2022-11-12 10:22:59 UTC
Please report to upstream too.

Comment 2 customercare 2022-11-12 13:22:55 UTC
done, tracking link added

Comment 3 Ben Cotton 2023-02-07 14:58:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 4 Fedora Update System 2023-05-23 10:41:22 UTC
FEDORA-2023-8a83c5258e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8a83c5258e

Comment 5 Fedora Update System 2023-05-24 14:18:53 UTC
FEDORA-2023-8a83c5258e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8a83c5258e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8a83c5258e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-05-31 17:31:13 UTC
FEDORA-2023-8a83c5258e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.